﻿using System;
using System.Text;
using System.Windows;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            StringBuilder stringBuilder = new StringBuilder();

            foreach(FontFamily fontFamily  in Fonts.GetFontFamilies(new Uri("pack://application:,,,/"), "./"))
            {
                stringBuilder.AppendLine(fontFamily.ToString());
            }

            this.textBlock.Text = stringBuilder.ToString();
        }

        #endregion
    }
}